if (VERSION == 202) and (SUBVERSION < 11)
	local special = P_RandomChance(FRACUNIT/13)

	local function deprecated(v)
	
		v.fadeScreen(0xFF00, 20)
		v.drawString(130, 60, "Your copy of SRB2 is too old!",V_ORANGEMAP|V_ALLOWLOWERCASE, "thin")
		v.drawString(130, 60+8, "This mod requires 2.2.11,",V_ORANGEMAP|V_ALLOWLOWERCASE, "thin")
		v.drawString(130, 60+8+8, "please update your game!",V_ORANGEMAP|V_ALLOWLOWERCASE, "thin")
		
		local patch = v.cachePatch("PIRATESOAP")
		local size = FU/5
		local x = 0
		
		if special
			patch = v.cachePatch("HOLYMOLY")
			size = 3*FU/5
			x = 30*FU
		end
		
		v.drawScaled(50*FU+x, 35*FU, size, patch)
	end
	hud.add(deprecated, "title")
	hud.add(deprecated, "game")
	
	error("\x85".."Your copy of 2.2 (".."2.2."..SUBVERSION..") is too old for this mod.\x80", 0)
	return
end



rawset(_G, "TAKIS_BUILDDATE", "7/13/2023")
rawset(_G, "TAKIS_BUILDTIME", "9:35:50 PM")

local num = 0

local function dofile2(file)
	dofile(file)
	num = $+1
end

rawset(_G, "takis_printdebuginfo",function(p)
	if not p
		print("\x82".."Extra Debug Stuff:\n"..
			"\x8D".."Build Date (MM/DD/YYYY) = \x80"..TAKIS_BUILDDATE.."\n"..
			"\x8D".."Build Time = \x80"..TAKIS_BUILDTIME.."\n"..
			"\x8D".."# of files done = \x80"..num.."/10".."\n"
			
		)	
	else
		CONS_Printf(p,"\x82".."Extra Debug Stuff:\n"..
			"\x8D".."Build Date (MM/DD/YYYY) = \x80"..TAKIS_BUILDDATE.."\n"..
			"\x8D".."Build Time = \x80"..TAKIS_BUILDTIME.."\n"..
			"\x8D".."# of files done = \x80"..num.."/10".."\n"..
			
			"\n".."\x8D".."Used a Player for this".."\n"
		)	
	end
end)

local pre = "LUA_"


dofile2("libs/".. pre.."CustomHud")
dofile2("libs/".. pre.."functions")

dofile2(pre.."init")
dofile2(pre.."io")
dofile2(pre.."main")
dofile2(pre.."cmds")
dofile2(pre.."hud")
dofile2(pre.."misc")
dofile2("wiptext.lua")
dofile2(pre.."MOTD")


print("Did files\n")

takis_printdebuginfo()

print("\x8D".."Before releasing, set the build date in init.lua to today's date!")
